/* ========================================
   GLOBAL.CSS
======================================== */


/* ==================================================
  DESIGN TOKENS
================================================== */

:root {
    --container-width: 1200px;
    --container-padding: 1.25rem;

    --font-primary: "Century Gothic", CenturyGothic, AppleGothic, sans-serif;
    
    --color-background: #373435;
    --color-text: #e8e8e8;

    --color-accent: #dfb877;
    --color-accent-hover: #e8c891;
}


/* ==================================================
  Reset
================================================== */

*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    text-size-adjust: 100%;
}

body {
  margin: 0;
}


/* ==================================================
  BASE
================================================== */

body {
    min-height: 100vh;

    font-family: var(--font-primary);
    line-height: 1.5;

    background-color: var(--color-background);
    color: var(--color-text);
}


/* ==================================================
  TYPOGRAPHY
================================================== */

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
    font-weight: 400;
}


h1 {
  font-size: clamp(2rem, 1.6rem + 1.5vw, 3rem);
  line-height: 1.1;
}

h2 {
  font-size: clamp(1.5rem, 1.3rem + 1vw, 2.25rem);
  line-height: 1.2;
}

p {
  font-size: clamp(1rem, 0.95rem + 0.15vw, 1.125rem);
  line-height: 1.6;
}


/* ==================================================
  MEDIA
================================================== */

img,
picture,
video,
canvas {
    display: block;
    max-width: 100%;
}

img {
    height: auto;
}

/* ==================================================
  LINKS
================================================== */

a {
    color: inherit;
}

/* ==================================================
  FORMS
================================================== */

button,
input,
textarea,
select {
    font: inherit;
}

button {
    cursor: pointer;
}

/* ==================================================
  LAYOUT
================================================== */

.container {
    width: 100%;
    max-width: var(--container-width);
    margin-inline: auto;
    padding-inline: var(--container-padding);

}

/* ==================================================
  ACCESSIBILITY
================================================== */

:focus-visible {
    outline: 2px solid currentColor;
    outline-offset: 3px;
}

/* ==================================================
  MOTION
================================================== */

@media (prefers-reduced-motion: no-preference) {
    html {
        scroll-behavior: smooth;
    }
}